Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.metamodel
Class PluralAttributeImpl.Builder<X,C,E,K>

    java.lang.Object
      org.hibernate.ejb.metamodel.PluralAttributeImpl.Builder<X,C,E,K>

Enclosing class:
  PluralAttributeImpl<X,C,E>

    public static class PluralAttributeImpl.Builder<X,C,E,K>

extends Object

Method Summary
`
`<K> PluralAttributeImpl<X,C,E>`
` | `build()`
`PluralAttributeImpl.Builder<X,C,E,K>` | `member(Member member)`
`PluralAttributeImpl.Builder<X,C,E,K>` | `persistentAttributeType(Attribute.PersistentAttributeType attrType)`
`PluralAttributeImpl.Builder<X,C,E,K>` | `property(Property property)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### member

    public PluralAttributeImpl.Builder<X,C,E,K> member(Member member)

### property

    public PluralAttributeImpl.Builder<X,C,E,K> property(Property property)

### persistentAttributeType

    public PluralAttributeImpl.Builder<X,C,E,K> persistentAttributeType(Attribute.PersistentAttributeType attrType)

### build

    public <K> PluralAttributeImpl<X,C,E> build()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.